#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A simple chess board game for KDE
Name:           knights
Version: 24.07.90
Release:        %mkrel %{rel}
Group:          Games/Boards
# KDE e.V. may determine that future GPL versions are accepted
License:        GPLv2 or GPLv3
URL:            https://apps.kde.org/knights/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6TextToSpeech)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Plotting)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  cmake(Plasma)

BuildRequires:  cmake(KDEGames6)

Requires:       gnuchess

%description
Knights is a simple chess board for KDE. Currently you can play
against computer engines that support the XBoard protocol (like GnuChess)
or against a player at the same computer. It has automatic rule checking,
themes and some nice animations.

%files -f %name.lang
%doc README* DESIGN
%{_kf6_categoriesdir}/%{name}.*categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/knsrcfiles/knights.knsrc
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_iconsdir}/hicolor/*/apps/*
%{_kf6_datadir}/dbus-1/interfaces/org.kde.Knights.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --with-html


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085380
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073246
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069903
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058651
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045190
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037688
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033815
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026532
- New version 24.01.85

* Sat Nov 18 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007580
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989634
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958211
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946523
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941816
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922937
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911431
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905283
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886802
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880788
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873098
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853991
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849497
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763882
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1759976
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724090
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718377
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698575
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694105
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656118
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644022
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633838
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627080
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614949
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604145
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596883
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584879
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568159
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559348
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540106
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513318
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466973
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457924
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446767
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425016
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390471
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387678
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382707
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375638
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365594
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356529
- New version 18.12.1

* Wed Dec 19 2018 daviddavid <daviddavid> 18.12.0-1.mga7
+ Revision: 1342848
- New version 18.12.0

* Mon Nov 26 2018 daviddavid <daviddavid> 18.11.80-1.mga7
+ Revision: 1335349
- New version: 18.11.80 (now part of KDE application stack)
- port to Qt5/Kf5

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-9.mga7
+ Revision: 1298603
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 2.5.0-8.mga6
+ Revision: 960846
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 sander85 <sander85> 2.5.0-7.mga6
+ Revision: 872068
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-6.mga5
+ Revision: 742791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-5.mga5
+ Revision: 681140
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.0-4.mga4
+ Revision: 506682
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.5.0-3.mga3
+ Revision: 356365
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 mikala <mikala> 2.5.0-2.mga3
+ Revision: 341416
- Fix buildrequires

* Thu Aug 30 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 285795
- new version 2.5.0
- new version 2.4.2

* Tue Jan 17 2012 mikala <mikala> 2.4.1-1.mga2
+ Revision: 197641
- Update tarball to 2.4.1
- remove tabs & use space

* Sat Oct 22 2011 mikala <mikala> 2.4.0-1.mga2
+ Revision: 157311
- Update tarball to 2.4.0
- remove %%defattr() & %%clean section
- fix License
- add source1 since we're creating our tarball from kde's git

* Sun Jun 19 2011 kharec <kharec> 2.3.2-1.mga2
+ Revision: 109831
- new version

* Thu Mar 24 2011 mikala <mikala> 2.3.1-1.mga1
+ Revision: 76766
- Update tarball to 2.3.1 (using git clone since dropbox is unavailbale)
- Remove BuildRoot
- imported package knights


* Thu Mar 10 2011 Funda Wang <fwang@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 643226
- update to new version 2.3.0

* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2011.0
+ Revision: 622249
- new version 2.2.0

* Tue Aug 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.1-1mdv2011.0
+ Revision: 565239
- update to 2.0.1

* Sat Apr 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0-1mdv2010.1
+ Revision: 533541
- change group
- new upstream kde4 port, version 2.0
- bring it back as there's a kde4 port now

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - old directory, without matching package

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.6.4-4mdv2009.0
+ Revision: 247799
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Thierry Vignaud <tv@mandriva.org> 0.6.4-2mdv2008.1
+ Revision: 142745
- kdedesktop2mdkmenu.pl is no more
- kill re-definition of %%buildroot on Pixel's request
- import knights

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Dec 13 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.4-2mdk
- Fix buildrequires  from Anssi Hannula 
- use mkrel

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.4-1mdk
- New release 0.6.4
- Fix File section
- Add Patch0 

* Thu Jun 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.6-2mdk
- fix path to qt3 (lib64 issues)

* Sat Jun 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.6-1mdk
- 0.6
- clean up spec file
- fix buildrequires
- fix filelist
- added icons to %%{_*iconsdir}

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.9-4mdk
- Fix spec file

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.9-3mdk
- Rebuild

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.5.9-2mdk
- rebuild

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.9-1mdk
- New version

* Mon Aug 18 2002 Laurent Culioli <laurent@pschit.net> 0.5.6-9mdk

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.6-8mdk
- Rebuild against gcc-3.2

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-7mdk
- buildrequires kdesdk

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-6mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Remove the LibGLCore depency.

* Sun Jun 30 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-5mdk
- Fix a stupid RPM build.

* Sun Jun 30 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-4mdk
- Fix tar.gz source tarball file. Solve a bug on match.cpp.

* Sun Jun 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.6-3mdk
- Fix spec file

* Sat Jun 22 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-2mdk
- Change kde depencie. Add the knights icon to KDE menu. 

* Fri Jun 21 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-1mdk
- Original release
